QGIS Application - Bug report #18914
[macOS] Plugin list corrupted by wrongly placed checkboxes on Mac
2018-05-05 11:03 PM - Russell Fulton

Status: Closed

Priority: Normal

Assignee:

Category: mac_os_specific

Affected QGIS version:3.0.2 Regression?: No

Operating System: Mac OS 10.13.4 Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 26746
Description

Working on a Mac (if it matters)
| am developing a new plugin for qgis 3 on a Mac using plugin builder following instructions in the latest version of The PyQGIS
Programmer’s Guide. | have now got got the point where | have compiled the skeleton code and loaded it into QGIS. The plugin appears

in the plugin manager as installed.

The instruction say one must then click the check box to enable the plugin but there are no checkboxes next to the plugin names, just one
at the top of the column which is not properly aligned with the text.

screen shot attached.

History

#1 - 2018-05-06 08:44 AM - Borys Jurgiel

- Subject changed from can not load local plugins in QGIS 3.02 on a Mac to Plugin list corrupted by wrongly placed checkboxes on Mac

Looks like all the checkboxes overlap in one place. | believe it affects all the plugin tabs on the left (not just installed plugins), doesn't it?

#2 - 2018-05-25 12:09 AM - Salvatore Larosa

a Qt issue, fixed with 5.11.0 version. (from homebrew)
#3 - 2018-05-25 06:52 PM - Borys Jurgiel

- Assignee deleted (Borys Jurgiel)

- Category changed from Plugin Manager to Build/Install

- Subject changed from Plugin list corrupted by wrongly placed checkboxes on Mac to [macOS] Plugin list corrupted by wrongly placed checkboxes on
Mac

So it seems it's macOS package issue.

#4 - 2018-09-05 06:49 PM - Denis Rouzaud

- Category changed from Build/Install to mac_os_specific

#5 - 2018-10-09 08:43 PM - Denis Rouzaud
- Status changed from Open to Feedback

| have observed this in the past but cannot reproduce anymore (I guess it was when plugin was broken).

Can you test again?

#6 - 2018-10-24 01:56 PM - Denis Rouzaud
- Status changed from Feedback to Closed
- Resolution set to not reproducable

feel free to reopen if needed
